aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rwxr-xr-xsrc/password-store.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 55ed86e..eabbb50 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -244,7 +244,7 @@ case "$command" in
--) shift; break ;;
esac done
- if [[ $err -ne 0 || $# -ne 1 ]]; then
+ if [[ $err -ne 0 || ( $multiline -eq 1 && $noecho -eq 0 ) || $# -ne 1 ]]; then
echo "Usage: $program $command [--echo,-e | --multiline,-m] [--force,-f] pass-name"
exit 1
fi